function putUIText_Params(hPar, x,y,fieldNames, indices, valGS,valIS,valFS, unit , col )


%     annotation('textbox', [x,y,0.3,0.05],...
%             'EdgeColor','none','FontSize',14,'Color',col,...
%             'String', [lab num2str(val,'%1.3f') unit]);         
% %             'String', [lab val unit]);    

      % ------------------------------------------
  
    
    labelGS = fieldNames{indices{1}};   
    if valGS >= 0
        strGS = [num2str(valGS,'%1.3f') unit];
    else
        strGS = '- - -     ';
    end

    labelIS = fieldNames{indices{2}};   
    if valIS >= 0    
        strIS = [num2str(valIS,'%1.3f') unit];
    else
        strIS = '- - -     ';
    end

    labelFS = fieldNames{indices{3}};   
    if valFS >= 0
        strFS = [num2str(valFS,'%1.3f') unit];
    else
        strFS = '- - -     ';
    end
    % ------------------------------------------    
    myFontSize =13;
    ddx = 65;    
    gap = 45;
    % ------------------------------------------
    hui = uicontrol('Style','text',...
            'Parent',hPar,...
             'String',[ labelGS(1:end-3) ],...              % 
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+5,y,70,20],...
             'BackgroundColor','white',...
             'DefaultTextInterpreter','latex',...
             'HorizontalAlignment','left');
    set(hui,'fontunits','normalized')
         
%     uibutton('Style','text',...                             % uibutton from FileExchange to have Latex text labels
%             'Parent',hPar,...
%              'String',[ labelGS(1) '_' labelGS(2) '{' labelGS(3:end-3) '}' ],...
%              'ForegroundColor',col,...
%              'FontSize',myFontSize,...
%              'Position',[x+5,y,70,20],...
%              'BackgroundColor','white',...
%              'DefaultTextInterpreter','latex',...
%              'HorizontalAlignment','left');                  
    hui = uicontrol('Style','text',...
             'String',strGS,...
             'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+ddx,y,65,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','right');   
    set(hui,'fontunits','normalized')

%     uibutton('Style','text',...                             % uibutton from FileExchange to have Latex text labels
    hui = uicontrol('Style','text',...
            'Parent',hPar,...
             'String',[ labelIS(1:end-3) ],...              %              'String',[ labelIS(1) '^' labelIS(2:3) '{' labelIS(4:end-3) '}' ],...
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+2*ddx+gap,y,70,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','left');    
    set(hui,'fontunits','normalized')
    hui = uicontrol('Style','text',...
             'String',strIS,...
             'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+3*ddx+gap,y,65,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','right');   
    set(hui,'fontunits','normalized')

%     uibutton('Style','text',...                             % uibutton from FileExchange to have Latex text labels
    hui = uicontrol('Style','text',...
             'Parent',hPar,...
             'String',[ labelFS(1:end-3) ],...              %              'String',[ labelFS(1) '^' labelFS(2:3) '{' labelFS(4:end-3) '}' ],...
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+4*ddx+2*gap,y,70,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','left');            
    set(hui,'fontunits','normalized')
    hui = uicontrol('Style','text',...
             'String',strFS,...
             'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+5*ddx+2*gap,y,65,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','right');   
    set(hui,'fontunits','normalized')
    % ----------------------------------------------
    clear x y
    % ----------------------------------------------


end    
